---
title: CustomEvent.detail
slug: Web/API/CustomEvent/detail
tags:
  - API
  - CustomEvent
  - DOM
  - Property
  - Reference
  - detail
---
<p>{{APIRef("DOM")}}</p>

<p>The <code><strong>detail</strong></code> readonly property of the {{domxref("CustomEvent")}} interface returns any data passed when initializing the event.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"> let myDetail = <em>customEventInstance.detail</em>;</pre>

<h3 id="Return_value">Return value</h3>

<p>Whatever data the event was initialized with.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">// add an appropriate event listener
obj.addEventListener("cat", function(e) { process(e.detail) });

// create and dispatch the event
let event = new CustomEvent("cat", {
  detail: {
    hazcheeseburger: true
  }
});
obj.dispatchEvent(event);

// Will return an object contaning the hazcheeseburger property
let myDetail = <em>event.detail</em>;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG','#dom-customevent-detail','detail')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CustomEvent.detail")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("CustomEvent")}}</li>
</ul>
